MembershipStatsPBImpl (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.store.records.impl.pb, class: MembershipStatsPBImpl

Package org.apache.hadoop.hdfs.server.federation.store.records.impl.pb

# Class MembershipStatsPBImpl

java.lang.Object
org.apache.hadoop.hdfs.server.federation.store.records.BaseRecord
org.apache.hadoop.hdfs.server.federation.store.records.MembershipStats
org.apache.hadoop.hdfs.server.federation.store.records.impl.pb.MembershipStatsPBImpl

All Implemented Interfaces:
  `Comparable<BaseRecord>`, `PBRecord`

public class MembershipStatsPBImpl extends MembershipStats implements PBRecord
Protobuf implementation of the MembershipStats record.

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.hdfs.server.federation.store.records.BaseRecord

  `ERROR_MSG_CREATION_TIME_NEGATIVE, ERROR_MSG_MODIFICATION_TIME_NEGATIVE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MembershipStatsPBImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAvailableSpace()`
  `int`
  `getCorruptFilesCount()`
  `long`
  `getHighestPriorityLowRedundancyECBlocks()`
  `long`
  `getHighestPriorityLowRedundancyReplicatedBlocks()`
  `long`
  `getNumberOfBadlyDistributedBlocks()`
  `long`
  `getNumberOfMissingBlocksWithReplicationFactorOne()`
  `int`
  `getNumOfActiveDatanodes()`
  `long`
  `getNumOfBlocks()`
  `long`
  `getNumOfBlocksMissing()`
  `long`
  `getNumOfBlocksPendingDeletion()`
  `long`
  `getNumOfBlocksPendingReplication()`
  `long`
  `getNumOfBlocksUnderReplicated()`
  `int`
  `getNumOfDeadDatanodes()`
  `int`
  `getNumOfDecomActiveDatanodes()`
  `int`
  `getNumOfDecomDeadDatanodes()`
  `int`
  `getNumOfDecommissioningDatanodes()`
  `int`
  `getNumOfEnteringMaintenanceDataNodes()`
  `long`
  `getNumOfFiles()`
  `int`
  `getNumOfInMaintenanceDeadDataNodes()`
  `int`
  `getNumOfInMaintenanceLiveDataNodes()`
  `int`
  `getNumOfStaleDatanodes()`
  `int`
  `getPendingSPSPaths()`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.NamenodeMembershipStatsRecordProto`
  `getProto()`
  Get the protocol for the record.
  `long`
  `getProvidedSpace()`
  `long`
  `getScheduledReplicationBlocks()`
  `long`
  `getTotalSpace()`
  `void`
  `readInstance(String base64String)`
  Populate this record with serialized data.
  `void`
  `setAvailableSpace(long space)`
  `void`
  `setCorruptFilesCount(int num)`
  `void`
  `setHighestPriorityLowRedundancyECBlocks(long blocks)`
  `void`
  `setHighestPriorityLowRedundancyReplicatedBlocks(long blocks)`
  `void`
  `setNumberOfBadlyDistributedBlocks(long blocks)`
  `void`
  `setNumberOfMissingBlocksWithReplicationFactorOne(long blocks)`
  `void`
  `setNumOfActiveDatanodes(int nodes)`
  `void`
  `setNumOfBlocks(long blocks)`
  `void`
  `setNumOfBlocksMissing(long blocks)`
  `void`
  `setNumOfBlocksPendingDeletion(long blocks)`
  `void`
  `setNumOfBlocksPendingReplication(long blocks)`
  `void`
  `setNumOfBlocksUnderReplicated(long blocks)`
  `void`
  `setNumOfDeadDatanodes(int nodes)`
  `void`
  `setNumOfDecomActiveDatanodes(int nodes)`
  `void`
  `setNumOfDecomDeadDatanodes(int nodes)`
  `void`
  `setNumOfDecommissioningDatanodes(int nodes)`
  `void`
  `setNumOfEnteringMaintenanceDataNodes(int nodes)`
  `void`
  `setNumOfFiles(long files)`
  `void`
  `setNumOfInMaintenanceDeadDataNodes(int nodes)`
  `void`
  `setNumOfInMaintenanceLiveDataNodes(int nodes)`
  `void`
  `setNumOfStaleDatanodes(int nodes)`
  `void`
  `setPendingSPSPaths(int pendingSPSPaths)`
  `void`
  `setProto(org.apache.hadoop.thirdparty.protobuf.Message proto)`
  Set the protocol for the record.
  `void`
  `setProvidedSpace(long capacity)`
  `void`
  `setScheduledReplicationBlocks(long blocks)`
  `void`
  `setTotalSpace(long space)`

  ### Methods inherited from class org.apache.hadoop.hdfs.server.federation.store.records.MembershipStats

  `getDateCreated, getDateModified, getExpirationMs, getPrimaryKeys, newInstance, setDateCreated, setDateModified`

  ### Methods inherited from class org.apache.hadoop.hdfs.server.federation.store.records.BaseRecord

  `checkExpired, compareTo, equals, generateMashupKey, getDeletionMs, getPrimaryKey, hashCode, hasOtherFields, init, isExpired, like, shouldBeDeleted, toString, validate`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MembershipStatsPBImpl

    public MembershipStatsPBImpl()

- ## Method Details

  - ### getProto

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.NamenodeMembershipStatsRecordProto getProto()
    Description copied from interface: `PBRecord`
    Get the protocol for the record.
    Specified by:
      `getProto` in interface `PBRecord`
    Returns:
      The protocol for this record.

  - ### setProto

    public void setProto(org.apache.hadoop.thirdparty.protobuf.Message proto)
    Description copied from interface: `PBRecord`
    Set the protocol for the record.
    Specified by:
      `setProto` in interface `PBRecord`
    Parameters:
      `proto` - Protocol for this record.

  - ### readInstance

    public void readInstance(String base64String) throws IOException
    Description copied from interface: `PBRecord`
    Populate this record with serialized data.
    Specified by:
      `readInstance` in interface `PBRecord`
    Parameters:
      `base64String` - Serialized data in base64.
    Throws:
      `IOException` - If it cannot read the data.

  - ### setTotalSpace

    public void setTotalSpace(long space)
    Specified by:
      `setTotalSpace` in class `MembershipStats`

  - ### getTotalSpace

    public long getTotalSpace()
    Specified by:
      `getTotalSpace` in class `MembershipStats`

  - ### setAvailableSpace

    public void setAvailableSpace(long space)
    Specified by:
      `setAvailableSpace` in class `MembershipStats`

  - ### getAvailableSpace

    public long getAvailableSpace()
    Specified by:
      `getAvailableSpace` in class `MembershipStats`

  - ### setProvidedSpace

    public void setProvidedSpace(long capacity)
    Specified by:
      `setProvidedSpace` in class `MembershipStats`

  - ### getProvidedSpace

    public long getProvidedSpace()
    Specified by:
      `getProvidedSpace` in class `MembershipStats`

  - ### setNumOfFiles

    public void setNumOfFiles(long files)
    Specified by:
      `setNumOfFiles` in class `MembershipStats`

  - ### getNumOfFiles

    public long getNumOfFiles()
    Specified by:
      `getNumOfFiles` in class `MembershipStats`

  - ### setNumOfBlocks

    public void setNumOfBlocks(long blocks)
    Specified by:
      `setNumOfBlocks` in class `MembershipStats`

  - ### getNumOfBlocks

    public long getNumOfBlocks()
    Specified by:
      `getNumOfBlocks` in class `MembershipStats`

  - ### setNumOfBlocksMissing

    public void setNumOfBlocksMissing(long blocks)
    Specified by:
      `setNumOfBlocksMissing` in class `MembershipStats`

  - ### getNumOfBlocksMissing

    public long getNumOfBlocksMissing()
    Specified by:
      `getNumOfBlocksMissing` in class `MembershipStats`

  - ### setNumOfBlocksPendingReplication

    public void setNumOfBlocksPendingReplication(long blocks)
    Specified by:
      `setNumOfBlocksPendingReplication` in class `MembershipStats`

  - ### getNumOfBlocksPendingReplication

    public long getNumOfBlocksPendingReplication()
    Specified by:
      `getNumOfBlocksPendingReplication` in class `MembershipStats`

  - ### setNumOfBlocksUnderReplicated

    public void setNumOfBlocksUnderReplicated(long blocks)
    Specified by:
      `setNumOfBlocksUnderReplicated` in class `MembershipStats`

  - ### getNumOfBlocksUnderReplicated

    public long getNumOfBlocksUnderReplicated()
    Specified by:
      `getNumOfBlocksUnderReplicated` in class `MembershipStats`

  - ### setNumOfBlocksPendingDeletion

    public void setNumOfBlocksPendingDeletion(long blocks)
    Specified by:
      `setNumOfBlocksPendingDeletion` in class `MembershipStats`

  - ### getNumOfBlocksPendingDeletion

    public long getNumOfBlocksPendingDeletion()
    Specified by:
      `getNumOfBlocksPendingDeletion` in class `MembershipStats`

  - ### setNumOfActiveDatanodes

    public void setNumOfActiveDatanodes(int nodes)
    Specified by:
      `setNumOfActiveDatanodes` in class `MembershipStats`

  - ### getNumOfActiveDatanodes

    public int getNumOfActiveDatanodes()
    Specified by:
      `getNumOfActiveDatanodes` in class `MembershipStats`

  - ### setNumOfDeadDatanodes

    public void setNumOfDeadDatanodes(int nodes)
    Specified by:
      `setNumOfDeadDatanodes` in class `MembershipStats`

  - ### getNumOfDeadDatanodes

    public int getNumOfDeadDatanodes()
    Specified by:
      `getNumOfDeadDatanodes` in class `MembershipStats`

  - ### setNumOfStaleDatanodes

    public void setNumOfStaleDatanodes(int nodes)
    Specified by:
      `setNumOfStaleDatanodes` in class `MembershipStats`

  - ### getNumOfStaleDatanodes

    public int getNumOfStaleDatanodes()
    Specified by:
      `getNumOfStaleDatanodes` in class `MembershipStats`

  - ### setNumOfDecommissioningDatanodes

    public void setNumOfDecommissioningDatanodes(int nodes)
    Specified by:
      `setNumOfDecommissioningDatanodes` in class `MembershipStats`

  - ### getNumOfDecommissioningDatanodes

    public int getNumOfDecommissioningDatanodes()
    Specified by:
      `getNumOfDecommissioningDatanodes` in class `MembershipStats`

  - ### setNumOfDecomActiveDatanodes

    public void setNumOfDecomActiveDatanodes(int nodes)
    Specified by:
      `setNumOfDecomActiveDatanodes` in class `MembershipStats`

  - ### getNumOfDecomActiveDatanodes

    public int getNumOfDecomActiveDatanodes()
    Specified by:
      `getNumOfDecomActiveDatanodes` in class `MembershipStats`

  - ### setNumOfDecomDeadDatanodes

    public void setNumOfDecomDeadDatanodes(int nodes)
    Specified by:
      `setNumOfDecomDeadDatanodes` in class `MembershipStats`

  - ### getNumOfDecomDeadDatanodes

    public int getNumOfDecomDeadDatanodes()
    Specified by:
      `getNumOfDecomDeadDatanodes` in class `MembershipStats`

  - ### setNumOfInMaintenanceLiveDataNodes

    public void setNumOfInMaintenanceLiveDataNodes(int nodes)
    Specified by:
      `setNumOfInMaintenanceLiveDataNodes` in class `MembershipStats`

  - ### getNumOfInMaintenanceLiveDataNodes

    public int getNumOfInMaintenanceLiveDataNodes()
    Specified by:
      `getNumOfInMaintenanceLiveDataNodes` in class `MembershipStats`

  - ### setNumOfInMaintenanceDeadDataNodes

    public void setNumOfInMaintenanceDeadDataNodes(int nodes)
    Specified by:
      `setNumOfInMaintenanceDeadDataNodes` in class `MembershipStats`

  - ### getNumOfInMaintenanceDeadDataNodes

    public int getNumOfInMaintenanceDeadDataNodes()
    Specified by:
      `getNumOfInMaintenanceDeadDataNodes` in class `MembershipStats`

  - ### setNumOfEnteringMaintenanceDataNodes

    public void setNumOfEnteringMaintenanceDataNodes(int nodes)
    Specified by:
      `setNumOfEnteringMaintenanceDataNodes` in class `MembershipStats`

  - ### getNumOfEnteringMaintenanceDataNodes

    public int getNumOfEnteringMaintenanceDataNodes()
    Specified by:
      `getNumOfEnteringMaintenanceDataNodes` in class `MembershipStats`

  - ### setCorruptFilesCount

    public void setCorruptFilesCount(int num)
    Specified by:
      `setCorruptFilesCount` in class `MembershipStats`

  - ### getCorruptFilesCount

    public int getCorruptFilesCount()
    Specified by:
      `getCorruptFilesCount` in class `MembershipStats`

  - ### setScheduledReplicationBlocks

    public void setScheduledReplicationBlocks(long blocks)
    Specified by:
      `setScheduledReplicationBlocks` in class `MembershipStats`

  - ### getScheduledReplicationBlocks

    public long getScheduledReplicationBlocks()
    Specified by:
      `getScheduledReplicationBlocks` in class `MembershipStats`

  - ### setNumberOfMissingBlocksWithReplicationFactorOne

    public void setNumberOfMissingBlocksWithReplicationFactorOne(long blocks)
    Specified by:
      `setNumberOfMissingBlocksWithReplicationFactorOne` in class `MembershipStats`

  - ### getNumberOfMissingBlocksWithReplicationFactorOne

    public long getNumberOfMissingBlocksWithReplicationFactorOne()
    Specified by:
      `getNumberOfMissingBlocksWithReplicationFactorOne` in class `MembershipStats`

  - ### setNumberOfBadlyDistributedBlocks

    public void setNumberOfBadlyDistributedBlocks(long blocks)
    Specified by:
      `setNumberOfBadlyDistributedBlocks` in class `MembershipStats`

  - ### getNumberOfBadlyDistributedBlocks

    public long getNumberOfBadlyDistributedBlocks()
    Specified by:
      `getNumberOfBadlyDistributedBlocks` in class `MembershipStats`

  - ### setHighestPriorityLowRedundancyReplicatedBlocks

    public void setHighestPriorityLowRedundancyReplicatedBlocks(long blocks)
    Specified by:
      `setHighestPriorityLowRedundancyReplicatedBlocks` in class `MembershipStats`

  - ### getHighestPriorityLowRedundancyReplicatedBlocks

    public long getHighestPriorityLowRedundancyReplicatedBlocks()
    Specified by:
      `getHighestPriorityLowRedundancyReplicatedBlocks` in class `MembershipStats`

  - ### setHighestPriorityLowRedundancyECBlocks

    public void setHighestPriorityLowRedundancyECBlocks(long blocks)
    Specified by:
      `setHighestPriorityLowRedundancyECBlocks` in class `MembershipStats`

  - ### getHighestPriorityLowRedundancyECBlocks

    public long getHighestPriorityLowRedundancyECBlocks()
    Specified by:
      `getHighestPriorityLowRedundancyECBlocks` in class `MembershipStats`

  - ### setPendingSPSPaths

    public void setPendingSPSPaths(int pendingSPSPaths)
    Specified by:
      `setPendingSPSPaths` in class `MembershipStats`

  - ### getPendingSPSPaths

    public int getPendingSPSPaths()
    Specified by:
      `getPendingSPSPaths` in class `MembershipStats`